org.eclipse.emf.cdo.transfer.ui.swt

## Class TransferDetailsComposite.UnmappedModelsLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.emf.cdo.transfer.ui.swt.TransferDetailsComposite.UnmappedModelsLabelProvider

- All Implemented Interfaces:
    IBaseLabelProvider, IColorProvider, ILabelProvider
  Enclosing class:
    TransferDetailsComposite

      public static class TransferDetailsComposite.UnmappedModelsLabelProvider
      extends LabelProvider
      implements IColorProvider

  A reusable `label provider` for the `unmapped models` of a `transfer`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Color` | `GRAY`
    `static Color` | `RED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnmappedModelsLabelProvider(CDOTransfer transfer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getBackground(Object element)`
    `Color` | `getForeground(Object element)`
    `String` | `getText(Object element)`
    `CDOTransfer` | `getTransfer()`

    - ### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

      `getImage`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `addListener, dispose, isLabelProperty, removeListener`

- - ### Field Detail

    - #### GRAY

          public static final Color GRAY

    - #### RED

          public static final Color RED

  - ### Constructor Detail

    - #### UnmappedModelsLabelProvider

          public UnmappedModelsLabelProvider(CDOTransfer transfer)

  - ### Method Detail

    - #### getTransfer

          public CDOTransfer getTransfer()

    - #### getText

          public String getText(Object element)

      Specified by:
        `getText` in interface `ILabelProvider`
      Overrides:
        `getText` in class `LabelProvider`

    - #### getForeground

          public Color getForeground(Object element)

      Specified by:
        `getForeground` in interface `IColorProvider`

    - #### getBackground

          public Color getBackground(Object element)

      Specified by:
        `getBackground` in interface `IColorProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html